Subject: [dhcwg] Clarification of RFC3315 : using multiple IA_NAs within one DHCPv6 Message

From: ip admin <[email-masked]>
Date: Tue, 8 Dec 2015 21:44:50 +0100

Dear all,

 (please let me know if I’m supposed to submit this somewhere else)

 is DHCPv6 supposed to be used to assign  multiple IPs to a client by using
multiple IA_NAs within one DHCP message?

 For example is it possible to assign both Unique Local and Global Unicast
IPs at the same time via DHCP? Assigning multiple IPs from the same scope
(e.g. multiple Global Unicast IPs) might also be useful to support
renumbering (as SLAAC does).

 While RFC 3315 mentions that there might be multiple IA_NA options within
a DHCP message it does not explicitly mention if a client is supposed to
include multiple IA_NA options to request multiple IPs. On the other side
it’s unclear what a server should do if the client does include multiple
IA_Nas but the server has only one scope to satisfy the request – should it
assign two IPs with the same prefix or ignore all but one IA_NA?

 RFC 3315 mentions explicitly the co-existence of IA_NA and IA_TA in one
DHCP message, e.g. in section 17.1.1

“Either IA_NA or IA_TA options, or a combination of both, can be included
in DHCP messages.”

 which IMHO means that a client might at least get both a permanent and a
temporary IP at the same time.

 However I do not find any references that confirm that shared networks -
two prefixes on the same (V)LAN – should be possible.

 Any pointers to clarify this are welcome.

Thanks & Regards
 Thomas

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 9 Dec 2015 00:42:11 +0000

The server supplies a "full" set of addresses (appropriate for the IA-type option) for each IA-type option included. If the server has several prefixes (ula, gla) from which it can assign addresses, it should do that for each IA-type option.

If the client includes multiple instances of an IA-type option, the server would assign multiple sets.

IPv6 interfaces normally have multiple addresses (i.e., link-local, gla, ula).

- Bernie (from iPad)

> On Dec 8, 2015, at 3:45 PM, ip admin <[email-masked]> wrote:
> 
> Dear all,
> 
>  is DHCPv6 supposed to be used to assign  multiple IPs to a client by using multiple IA_NAs within one DHCP message?
>  
>  For example is it possible to assign both Unique Local and Global Unicast IPs at the same time via DHCP? Assigning multiple IPs from the same scope (e.g. multiple Global Unicast IPs) might also be useful to support renumbering (as SLAAC does).
>  
>  While RFC 3315 mentions that there might be multiple IA_NA options within a DHCP message it does not explicitly mention if a client is supposed to include multiple IA_NA options to request multiple IPs. On the other side it’s unclear what a server should do if the client does include multiple IA_Nas but the server has only one scope to satisfy the request – should it assign two IPs with the same prefix or ignore all but one IA_NA?
>  
>  RFC 3315 mentions explicitly the co-existence of IA_NA and IA_TA in one DHCP message, e.g. in section 17.1.1
>  
> “Either IA_NA or IA_TA options, or a combination of both, can be included in DHCP messages.”
>  
>  which IMHO means that a client might at least get both a permanent and a temporary IP at the same time.
>  
>  However I do not find any references that confirm that shared networks - two prefixes on the same (V)LAN – should be possible.
>  
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg